%define __python /usr/bin/python2.7
%global pyver 27
%global oname   BeautifulSoup

Name:           python%{pyver}-BeautifulSoup
Epoch:          1
Version:        3.2.1
Release:        7%{?dist}
Summary:        HTML/XML parser for quick-turnaround applications like screen-scraping
Group:          Development/Languages
License:        BSD
URL:            http://www.crummy.com/software/BeautifulSoup/
Source0:        http://www.crummy.com/software/BeautifulSoup/download/3.x/BeautifulSoup-%{version}.tar.gz
Provides:       python%{pyver}-beautifulsoup = %{epoch}:%{version}-%{release}
BuildRequires:  python%{pyver}-devel
BuildArch:      noarch

%description
Beautiful Soup is a Python HTML/XML parser designed for quick
turnaround projects like screen-scraping. Three features make it
powerful:

Beautiful Soup won't choke if you give it bad markup.

Beautiful Soup provides a few simple methods and Pythonic idioms for
navigating, searching, and modifying a parse tree.

Beautiful Soup automatically converts incoming documents to Unicode
and outgoing documents to UTF-8.

Beautiful Soup parses anything you give it.

Valuable data that was once locked up in poorly-designed websites is
now within your reach. Projects that would have taken hours take only
minutes with Beautiful Soup.

%prep
%setup -q -n %{oname}-%{version}

%build
%{__python2} setup.py build
%{__python2} -c 'import %{oname} as bs; print bs.__doc__' > COPYING
touch -r %{oname}.py COPYING

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
#Files installed by error
rm -rf %{buildroot}%{_bindir}

%check
%{__python2} BeautifulSoupTests.py

%files
%doc COPYING
%{python_sitelib}/%{oname}.py*
%exclude %{python_sitelib}/%{oname}Tests.py*
%if 0%{?fedora} >= 9 || 0%{?rhel} >= 6
%{python_sitelib}/%{oname}-%{version}-py*.egg-info
%endif

%changelog
* Wed Nov 27 2013 Terje Rosten <terje.rosten@ntnu.no> - 1:3.2.1-7
- Add provide for python-beautifulsoup

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 04 2012 David Malcolm <dmalcolm@redhat.com> - 1:3.2.1-4
- rebuild for https://fedoraproject.org/wiki/Features/Python_3.3

* Tue Jul 31 2012 Terje Rosten <terje.rosten@ntnu.no> - 1:3.2.1-3
- Beautiful Soup 4 has been moved to package python-beautifulsoup4

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 27 2012 Terje Rosten <terje.rosten@ntnu.no> - 1:3.2.1-1
- 3.2.1
- Update bs4 to 4.0.0b8
- Add dep on lxml and html5lib for bs4

* Fri Feb 03 2012 Terje Rosten <terje.rosten@ntnu.no> - 1:3.2.0-4
- Add Python 3 package based on BeautifulSoup 4

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 08 2011 Terje Rosten <terje.rosten@ntnu.no> - 1:3.2.0-1
- 3.2.0

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1:3.0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jun 20 2010 Terje Rosten <terje.rosten@ntnu.no> - 1:3.0.8.1-1
- 3.0.8.1

* Sun Dec  6 2009 Terje Rosten <terje.rosten@ntnu.no> - 1:3.0.8-1
- 3.0.8
- Fix source url

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.0.7a-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 10 2009 kwizart < kwizart at gmail.com > - 1:3.0.7a-1
- Revert to 3.0.7a and bump Epoch - Fix #505043
  http://www.crummy.com/software/BeautifulSoup/3.1-problems.html

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 12 2009 kwizart < kwizart at gmail.com > - 3.1.0.1-2
- Fix installed files

* Mon Jan 12 2009 kwizart < kwizart at gmail.com > - 3.1.0.1-1
- Update to 3.1.0.1

* Thu Dec  4 2008 kwizart < kwizart at gmail.com > - 3.0.7a-3
- ReTag

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.0.7a-2
- Rebuild for Python 2.6

* Wed Oct 15 2008 kwizart < kwizart at gmail.com > - 3.0.7a-1
- Update to 3.0.7a

* Mon Jun 30 2008 Terje Rosten <terje.rosten@ntnu.no> - 3.0.7-2
- Rebuild

* Mon Jun 23 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.0.7-1
- Update to 3.0.7

* Tue Feb  5 2008 Terje Rosten <terje.rosten@ntnu.no> - 3.0.5-3
- Fix typo

* Tue Feb  5 2008 Terje Rosten <terje.rosten@ntnu.no> - 3.0.5-2
- Handle egg info
- Bump release

* Tue Feb  5 2008 Terje Rosten <terje.rosten@ntnu.no> - 3.0.5-1
- Update to 3.0.5
- Minor tweaks to spec file

* Wed Apr 18 2007 kwizart < kwizart at gmail.com > - 3.0.4-1
- Update to 3.0.4

* Wed Nov 29 2006 TC Wan <tcwan@cs.usm.my>
- Initial SPEC file for Fedora Core 5
